## org.eclipse.xsd.ecore
Class XSDEcoreBuilder.EffectiveOccurrence

    java.lang.Object
      org.eclipse.xsd.ecore.XSDEcoreBuilder.EffectiveOccurrence

Enclosing class:
  XSDEcoreBuilder

    public static class XSDEcoreBuilder.EffectiveOccurrence

extends java.lang.Object

Field Summary
`int` `maxOccurs`
`int` `minOccurs`
`XSDModelGroup` `xsdModelGroup`
`XSDParticle` `xsdParticle`

Constructor Summary
`XSDEcoreBuilder.EffectiveOccurrence(int minOccurs, int maxOccurs, XSDParticle xsdParticle, XSDModelGroup xsdModelGroup)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minOccurs

    public int minOccurs

### maxOccurs

    public int maxOccurs

### xsdParticle

    public XSDParticle xsdParticle

### xsdModelGroup

    public XSDModelGroup xsdModelGroup

Constructor Detail

### XSDEcoreBuilder.EffectiveOccurrence

    public XSDEcoreBuilder.EffectiveOccurrence(int minOccurs,
                                               int maxOccurs,
                                               XSDParticle xsdParticle,
                                               XSDModelGroup xsdModelGroup)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.